Bug 566406 - Review Request: packETH - A GUI packet generator tool
Summary: Review Request: packETH - A GUI packet generator tool
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2010-02-18 12:26 UTC by Mykola Ulianytskyi
Modified: 2016-08-14 16:23 UTC (History)
3 users (show)

Fixed In Version: packETH-1.6.5-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 16:30:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mykola Ulianytskyi 2010-02-18 12:26:12 UTC
Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/packETH.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/packETH-1.6.4-0.1.dev.fc12.src.rpm

Description: 
packETH is a linux GUI tool that is able to send any packet or sequence of
packets on the ethernet. It uses the RAW socket option, so it doesn't care
about ip, routing, etc. It is designed to have all the options available,
with all the correct and incorrect values (incorect means, that user can
send wrong parameters like: incorrect checksum, wrong header length, etc.).

$ rpmlint {i386,x86_64,SRPMS}/packETH*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package builds successfully by mock on i686/x86_64 architectures.

This is one from my first packages and I'm looking for a sponsor.

Comment 1 Mykola Ulianytskyi 2010-02-19 09:42:39 UTC
Builds successfully in mock on Fedora 11 with i386/x86_64 architectures.

Comment 2 Mykola Ulianytskyi 2010-02-19 12:52:33 UTC
Fix build error on F-13 with absent -lm in LIBS

Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/packETH.spec
SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/packETH-1.6.4-0.2.dev.fc12.src.rpm

Builds successfully in mock on Fedora 13 with i386/x86_64 architectures.

Comment 3 Mamoru TASAKA 2010-03-04 19:12:32 UTC
Some notes:

* License
  - License tag should be GPLv2+

* SourceURL
------------------------------------------------------------------
$ env LANG=C spectool -g packETH-1.6.4-0.2.dev.fc12.src/packETH.spec 
--2010-03-05 03:58:35--  http://downloads.sourceforge.net/project/packeth/packETH-1.6.4-dev.tar.gz
Resolving downloads.sourceforge.net... 216.34.181.59
Connecting to downloads.sourceforge.net|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-03-05 03:58:36 ERROR 404: Not Found.

------------------------------------------------------------------
  - The tarball in your srpm cannot be downloaded from the URL written in
    your spec file. Please follow
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

  ! Note
    - Currently the newest seems 1.6.5

* BR
  - "BR: glib2-devel" is redundant because gtk2-devel Requires glib2-devel

* Timestamp
  - Please consider to use
------------------------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
------------------------------------------------------------------
    to keep timestamps on installed files. This method usually works
    for Makefiles generated by recent autotools.

* Consistent usage
  - If you want to use %{__rm} or %{__install}, also use %{__make}
  - Would you explain why you use both "%{__mkdir}" and "%{__install} -d" ?

Comment 4 Mykola Ulianytskyi 2010-03-05 09:06:50 UTC
Thank you for starting the review.

The license is changed to GPLv3 in 1.6.5 (COPYING file).
The package is updated to 1.6.5 with all your suggestions.

Spec diff:
-%global prerelease dev
-
 Name:           packETH
-Version:        1.6.4
-Release:        0.2.%{prerelease}%{?dist}
+Version:        1.6.5
+Release:        1%{?dist}
 Summary:        A GUI packet generator tool
 
 Group:          Applications/Internet
-License:        GPLv2
+License:        GPLv3
 URL:            http://sourceforge.net/projects/packeth/
-Source0:        http://downloads.sourceforge.net/project/packeth/packETH-%{version}-%{prerelease}.tar.gz
+Source0:        http://downloads.sourceforge.net/project/packeth/packETH-%{version}.tar.bz
 Source1:        packETH.desktop
-# Use the pkg-config against invalid predefined CFLAGS, LIBS
-# https://sourceforge.net/tracker/?func=detail&aid=2954084&group_id=87379&atid=582964
-Patch0:         packETH-1.6.4-Makefile.patch
-# Fedora-specific: Fix the pixmaps directory
-Patch1:         packETH-1.6.4-dev-pixmap_directory.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  desktop-file-utils
 BuildRequires:  gtk2-devel
-BuildRequires:  glib2-devel
 
 
 %description
-packETH is a linux GUI tool that is able to send any packet or sequence of 
-packets on the ethernet. It uses the RAW socket option, so it doesn't care 
+packETH is a Linux GUI tool that is able to send any packet or sequence of 
+packets on the Ethernet. It uses the RAW socket option, so it doesn't care 
 about ip, routing, etc. It is designed to have all the options available, 
-with all the correct and incorrect values (incorect means, that user can 
+with all the correct and incorrect values (incorrect means, that user can 
 send wrong parameters like: incorrect checksum, wrong header length, etc.).
 
 
 %prep
-%setup -q -n %{name}-%{version}-%{prerelease}
-%patch0 -p1 -b .Makefile
-%patch1 -p1 -b .pixmap_directory
+%setup -q
 
 
 %build
-cd src
-make %{?_smp_mflags} CFLAGS="%{optflags}"
+%configure
+%{__make} %{?_smp_mflags}
 
 
 %install
 %{__rm} -rf %{buildroot}
-cd src
-%{__mkdir} -p %{buildroot}/%{_bindir}
-make install DESTDIR=%{buildroot}
+%{__make} DESTDIR=%{buildroot} INSTALL='/usr/bin/install -p' install 
 
 # Install desktop file
 %{__install} -d %{buildroot}%{_datadir}/applications
@@ -60,13 +48,16 @@
 
 %files
 %defattr(-,root,root,-)
-%doc src/{COPYING,ChangeLog,README,TODO}
+%doc AUTHORS COPYING README
 %{_bindir}/%{name}
 %{_datadir}/applications/%{name}.desktop
-%{_datadir}/pixmaps/%{name}
+%{_datadir}/packeth
 
 
 %changelog
+* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-1
+- Update to 1.6.5
+
 * Fri Feb 19 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.4-0.2.dev
 - Fix build error on F-13 with absent -lm in LIBS
 

$ rpmlint packETH-1.6.5-1.fc13.i686.rpm 
packETH.i686: W: spelling-error %description -l en_US ip -> pi, up, op
packETH.i686: W: spelling-error %description -l en_US checksum -> check sum, check-sum, checks um
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 6 Mykola Ulianytskyi 2010-03-05 10:36:51 UTC
 Name:           packETH
 Version:        1.6.5
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A GUI packet generator tool
 
 Group:          Applications/Internet
 License:        GPLv3
 URL:            http://sourceforge.net/projects/packeth/
-Source0:        http://downloads.sourceforge.net/project/packeth/packETH-%{version}.tar.bz
+Source0:        http://downloads.sourceforge.net/packeth/%{name}-%{version}.tar.bz
 Source1:        packETH.desktop
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
@@ -55,6 +55,9 @@
 
 
 %changelog
+* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-2
+- Fixed the Source URL
+
 * Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-1
 - Update to 1.6.5
 

Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/packETH.spec 
SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/packETH-1.6.5-2.fc12.src.rpm

Comment 7 Mamoru TASAKA 2010-03-06 16:35:18 UTC
For 1.6.5-2

* License
  - License tag should still be GPLv2+ (note that just putting
    GPLv3 license text does not meant that the software is licensed
    under GPLv3:
    https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F
    )

* Macros
  - Use macros correctly. /usr/bin should be %{__bindir}
    https://fedoraproject.org/wiki/Packaging/RPMMacros

Comment 8 Mykola Ulianytskyi 2010-03-07 08:54:35 UTC
> License tag should still be GPLv2+
Fixed

> Use macros correctly. /usr/bin should be %{__bindir}
There is a problem with %{__bindir}. It is not defined in Fedora 11, 12, 13 and is not described in the Fedora Wiki.


Spec diff:
 Name:           packETH
 Version:        1.6.5
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A GUI packet generator tool

 Group:          Applications/Internet
-License:        GPLv3
+License:        GPLv2+
 URL:            http://sourceforge.net/projects/packeth/
 Source0:        http://downloads.sourceforge.net/packeth/%{name}-%{version}.tar.bz
 Source1:        packETH.desktop
@@ -33,7 +33,7 @@

 %install
 %{__rm} -rf %{buildroot}
-%{__make} DESTDIR=%{buildroot} INSTALL='/usr/bin/install -p' install 
+%{__make} DESTDIR=%{buildroot} INSTALL="%{_bindir}/install -p" install 

 # Install desktop file
 %{__install} -d %{buildroot}%{_datadir}/applications
@@ -55,6 +55,9 @@


 %changelog
+* Sun Mar 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-3
+- Fixed the license tag
+


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/packETH.spec 
SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/packETH-1.6.5-3.fc12.src.rpm

Comment 9 Mamoru TASAKA 2010-03-07 09:21:50 UTC
(In reply to comment #8)
> > Use macros correctly. /usr/bin should be %{__bindir}
> There is a problem with %{__bindir}. It is not defined in Fedora 11, 12, 13 and
> is not described in the Fedora Wiki.

Of course it is my typo...

-------------------------------------------------------
  This package (packETH) is APPROVED by mtasaka
-------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 11/12/13, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.

Comment 10 Mykola Ulianytskyi 2010-03-07 13:06:37 UTC
New Package CVS Request
=======================
Package Name: packETH
Short Description: A GUI packet generator tool
Owners: lystor
Branches: F-11 F-12 F-13
InitialCC:

Comment 11 Kevin Fenzi 2010-03-09 06:14:29 UTC
CVS done (by process-cvs-requests.py).

Comment 12 Fedora Update System 2010-03-10 07:40:52 UTC
packETH-1.6.5-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/packETH-1.6.5-3.fc13

Comment 13 Fedora Update System 2010-03-10 07:42:10 UTC
packETH-1.6.5-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/packETH-1.6.5-3.fc12

Comment 14 Fedora Update System 2010-03-10 07:42:50 UTC
packETH-1.6.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/packETH-1.6.5-3.fc11

Comment 15 Mamoru TASAKA 2010-03-10 16:30:53 UTC
Closing.

Comment 16 Fedora Update System 2010-04-01 01:40:36 UTC
packETH-1.6.5-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-01 01:54:37 UTC
packETH-1.6.5-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-09 04:23:22 UTC
packETH-1.6.5-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fabian Affolter 2014-09-24 07:30:40 UTC
Package Change Request
======================
Package Name: packETH
New Branches: el6 epel7
Owners: fab rebus
InitialCC:

Comment 20 Gwyn Ciesla 2014-09-24 10:05:01 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.